<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head th:replace="fragments/fragments :: head"></head>
<body>
<div th:replace="fragments/fragments :: header"></div>

<div class="container">
    <div th:replace="fragments/fragments :: div#page-header"></div>
    <div class="row">
        <div class="col-lg-12">
            <h4>Blog List</h4>
            <table class="table table-striped table-hover">
                <thead>
                <tr>
                    <th>Blog Title</th>
                    <th>Creation Date</th>
                    <th>User Name</th>
                    <th class="text-right" sec:authorize="hasRole('ROLE_ADMIN')">Remove</th>
                </tr>
                </thead>
                <tbody th:each="blog : ${blogList}">
                <tr>
                    <td th:text="${blog.title}"></td>
                    <td th:text="${#dates.format(blog.creationDate, 'dd/MM/yyyy')}"></td>
                    <td th:text="${blog.author.userName}"></td>
                    <td class="text-right" sec:authorize="hasRole('ROLE_ADMIN')"><a class="btn btn-danger btn-xs" th:href="${#mvc.url('BC#removeBlog').arg(0, blog.id).build()}">Remove</a></td>
                </tr>
                </tbody>
            </table>
            <a class="btn btn-primary" th:href="@{/blog}">Create Blog</a>
        </div>
    </div>

    <hr/>
</div>
<div th:replace="fragments/fragments :: div.scripts"></div>
</body>
</html>
